* {
    color: white;
}
  
  
html {
    background-color: hsl(190, 8%, 5%);
}
  
body {
    background-color: black;
}
  
h1, h2, h3, h4, p {
    voice-family: male;
    richness: 80;
    cue-before: url("beep.au")
}

#myBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none;
    outline: none;
    background-color: green;
    color: white;
    cursor: pointer;
    padding: 15px;
    border-radius: 10px;
    font-size: 18px;
  }
  
  #myBtn:hover {
    background-color: #555;
  }

#welcome-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: auto;
    height: 100vh;
    background-image: url(https://i.imgur.com/gykTYKk.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    border: solid black;
}

#welcome {
    font-size: 10rem;
    font-family: "Grey Qo", cursive;
    font-weight: 600;
    font-style: normal;
    background: linear-gradient(to right, #7E007B, #7CEA9C);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: 2px 2px black;
    margin: 100px auto 20px auto;
}

#web-gallery-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#gallery-item {
    width: 800px;
    height: 500px;
    transition-duration: 0.5s;
    border: black solid;
    border-radius: 10px;
    box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#gallery-item:hover {
    width: 900px;
    height: 600px;
    transition-duration: 0.5s;
}

#item-container1 {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-self: flex-start;
    width: 100%;
    height: 100vh;
    background-image: url(https://i.imgur.com/xlXTrk3.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    border: black solid;
}

.item1 {
    margin: auto 100px;
}

#label1 {
    font-size: 4.6rem;
    font-family: "Grey Qo", cursive;
    font-weight: 400;
    font-style: normal;
    text-shadow: 1px 1px silver;
    background-color: rgba(0, 0, 0, 0.80);
    margin: auto auto auto 100px;
    padding: 2px 40px;
    border: black solid;
    border-radius: 10px;
    box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#item-container2 {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-self: flex-end;
    width: 100%;
    height: 100vh;
    background-image: url(https://i.imgur.com/ERQ3P9l.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    border: black solid;
}

.item2 {
    margin: auto 100px;
}

#label2 {
    font-size: 4.6rem;
    font-family: "Grey Qo", cursive;
    font-weight: 400;
    font-style: normal;
    text-shadow: 1px 1px silver;
    background-color: rgba(0, 0, 0, 0.80);
    padding: 2px 40px;
    border: black solid;
    border-radius: 10px;
    margin: auto 100px auto auto;
    box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#item-container3 {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-self: flex-start;
    width: 100%;
    height: 100vh;
    background-image: url(https://i.imgur.com/6TmrEZf.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    border: black solid;
}

.item3 {
    margin: auto 100px;
}

#label3 {
    font-size: 4.6rem;
    font-family: "Grey Qo", cursive;
    font-weight: 400;
    font-style: normal;
    text-shadow: 1px 1px silver;
    background-color: rgba(0, 0, 0, 0.80);
    margin: auto auto auto 100px;
    padding: 2px 40px;
    border: black solid;
    border-radius: 10px;
    box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#build-intro {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 50px auto;
}

#upgrade,
#cleaning {
    font-size: 10rem;
    font-family: "Grey Qo", cursive;
    font-weight: 600;
    font-style: normal;
    background: linear-gradient(to right, #7E007B, #7CEA9C);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: 3px 3px silver;
}

#build-gallery-container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 80px auto;
}

#build-item {
    width: 400px;
    height: 400px;
    border: black solid;
    border-radius: 10px;
    box-shadow: 2px 2px 1em silver;
}

#footer-container {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8rem;
    background-color: black;
}

@media only screen and (max-width: 1600px) and (min-width: 1100px) {
    
    #welcome {
        font-size: 8rem;
    }

    #gallery-item {
        width: 500px;
        height: 300px;
    }

    #gallery-item:hover {
        width: 600px;
        height: 400px;
        transition-duration: 0.5s;
    }

    #label1 {
        font-size: 3.6rem;
    }

    #label2 {
        font-size: 3.6rem;
    }

    #label3 {
        font-size: 3.6rem;
    }

    #upgrade,
    #cleaning {
        font-size: 8rem;
    }

    #build-item {
        width: 250px;
        height: 250px;
    }
}

@media only screen and (max-width: 1099px) and (min-width: 700px) {
    
    #welcome {
        font-size: 6rem;
    }

    #gallery-item {
        width: 300px;
        height: 200px;
    }

    #gallery-item:hover {
        width: 500px;
        height: 300px;
        transition-duration: 0.5s;
    }

    #label1 {
        font-size: 2rem;
        margin: auto 10px;
    }

    #label2 {
        font-size: 2rem;
        margin: auto 10px;
    }

    #label3 {
        font-size: 2rem;
        margin: auto 10px;
    }

    #upgrade,
    #cleaning {
        font-size: 4rem;
    }

    #build-item {
        width: 175px;
        height: 175px;
    }
}

@media only screen and (max-width: 699px) and (min-width: 480px) {
    
    #welcome {
        font-size: 4rem;
    }

    #gallery-item {
        width: 400px;
        height: 300px;
    }

    #gallery-item:hover {
        width: 350px;
        height: 275px;
        transition-duration: 0.5s;
    }

    #item-container1 {
        flex-direction: column-reverse;
    }

    .item1 {
        margin: auto 0px;
    }

    #label1 {
        font-size: 2rem;
        margin: 40px 10px;
        padding: 0px 10px;
    }

    #item-container2 {
        flex-direction: column;
    }

    .item2 {
        margin: auto 0px;
    }

    #label2 {
        font-size: 2rem;
        margin: 40px 10px;
        padding: 0px 10px;
    }

    #item-container3 {
        flex-direction: column-reverse;
    }

    .item3 {
        margin: auto 0px;
    }

    #label3 {
        font-size: 2rem;
        margin: 40px 10px;
        padding: 0px 10px;
    }

    #upgrade,
    #cleaning {
        font-size: 2rem;
    }

    #build-item {
        width: 75px;
        height: 75px;
    }
}

@media only screen and (max-width: 479px) and (min-width: 300px) {
    
    #welcome {
        font-size: 2rem;
    }

    #gallery-item {
        width: 250px;
        height: 150px;
    }

    #gallery-item:hover {
        width: 250px;
        height: 150px;
        transition-duration: 0.5s;
    }

    #item-container1 {
        flex-direction: column-reverse;
    }

    .item1 {
        margin: auto 0px;
    }

    #label1 {
        font-size: 2rem;
        margin: 40px 10px;
        padding: 0px 10px;
    }

    #item-container2 {
        flex-direction: column;
    }

    .item2 {
        margin: auto 0px;
    }

    #label2 {
        font-size: 2rem;
        margin: 40px 10px;
        padding: 0px 10px;
    }

    #item-container3 {
        flex-direction: column-reverse;
    }

    .item3 {
        margin: auto 0px;
    }

    #label3 {
        font-size: 2rem;
        margin: 40px 10px;
        padding: 0px 10px;
    }

    #upgrade,
    #cleaning {
        font-size: 2rem;
    }

    #build-item {
        width: 75px;
        height: 75px;
    }
}

@media only screen and (max-width: 299px) and (min-width: 199px) {
    
    #welcome {
        font-size: 1.6rem;
    }

    #gallery-item {
        width: 150px;
        height: 75px;
    }

    #gallery-item:hover {
        width: 150px;
        height: 75px;
        transition-duration: 0.5s;
    }

    #item-container1 {
        flex-direction: column-reverse;
    }

    .item1 {
        margin: auto 0px;
    }

    #label1 {
        font-size: 1.4rem;
        margin: 40px 10px;
        padding: 0px 6px;
    }

    #item-container2 {
        flex-direction: column;
    }

    .item2 {
        margin: auto 0px;
    }

    #label2 {
        font-size: 1.4rem;
        margin: 40px 10px;
        padding: 0px 6px;
    }

    #item-container3 {
        flex-direction: column-reverse;
    }

    .item3 {
        margin: auto 0px;
    }

    #label3 {
        font-size: 1.4rem;
        margin: 40px 10px;
        padding: 0px 6px;
    }

    #upgrade,
    #cleaning {
        font-size: 1.6rem;
    }

    #build-item {
        width: 75px;
        height: 75px;
    }
}

@media only screen and (max-width: 198px) and (min-width: 10px) {
    
    #welcome {
        font-size: 1rem;
    }

    #gallery-item {
        width: 150px;
        height: 75px;
    }

    #gallery-item:hover {
        width: 150px;
        height: 75px;
        transition-duration: 0.5s;
    }

    #item-container1 {
        flex-direction: column-reverse;
    }

    .item1 {
        margin: auto 0px;
    }

    #label1 {
        font-size: 1.4rem;
        margin: 40px 10px;
        padding: 0px 4px;
    }

    #item-container2 {
        flex-direction: column;
    }

    .item2 {
        margin: auto 0px;
    }

    #label2 {
        font-size: 1.4rem;
        margin: 40px 10px;
        padding: 0px 4px;
    }

    #item-container3 {
        flex-direction: column-reverse;
    }

    .item3 {
        margin: auto 0px;
    }

    #label3 {
        font-size: 1.4rem;
        margin: 40px 10px;
        padding: 0px 4px;
    }

    #upgrade,
    #cleaning {
        font-size: 1.6rem;
    }

    #build-item {
        width: 75px;
        height: 75px;
    }
}